package cn.teammodel.model.entity.common;

import cn.teammodel.model.entity.BaseItem;
import com.azure.spring.data.cosmos.core.mapping.Container;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Container(containerName = "Common")
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class Comment extends BaseItem {
    @ApiModelProperty("活动内容")
    private String content;
    private String creatorId;
    private String creatorName;
    @ApiModelProperty("学校编码")
    private String school;
    private String studentId;
    @ApiModelProperty("活动ID")
    private String activityId;
    @ApiModelProperty("活动类型")
    private String activityType;
    @ApiModelProperty("评论类型")
    private String contentType;
    private String pk = "Comment";
    private int ttl = -1;
    private Long createTime;
    private Long updateTime;

}
