package cn.teammodel.model.vo.admin;

import cn.teammodel.model.entity.common.Art;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class ArtElementsVo {
    public String id;
    public String name;
    public List<String> classes;
    public long startTime;
    public long endTime;
    public List<Art.ArtSubject> subjects;
    public List<ClassInfos> classesInfos = new ArrayList<>();
    public int count;
    public String progress;

    public void addClassesInfos(ClassInfos classInfos) {
        this.classesInfos.add(classInfos);
    }

    @Data
    public static class ClassInfos {
        public String id;
        public String name;
    }
}
